%define pgroup		kde-multimedia
%define pname		juk
%define version		15.04.3
%define release		%mkrel 1

Name:		%{pgroup}-%{pname}
Version:		%{version}
Release:		%{release}
Summary:	Juk Audio Player for KDE 4
URL:		http://multimedia.kde.org/
Group:	 	Graphical desktop/KDE4
License:	GPL v3
Source:		ftp://ftp.kde.org/pub/kde/stable/%{version}/src/juk-%{version}.tar.xz
BuildRequires:	kdelibs-devel
BuildRequires:	%{_lib}taglib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
JuK 2.2 is part of the KDE Multimedia package. JuK packages are distributed with 
basically all current Linux and many Unix distributions.

Features:
	    -	An easy to use, playlist and metadata focused interface with several playlist types:
	    -	Player and tag editor for several audio formats:
	    -	Multiple audio output backends:
	    -	Inline search for quick filtering of the currently visible items
	    -	MusicBrainz integration for file identification on over the internet
	    -	File renamer that renames files based on the tag content
	    -	A powerful tag editor that works seemlessly with all supported music formats
	    -	CD burning support via the popular K3b tool
	    -	Visually attractive, but unobtrusive track announcements
	    -	A Now Playing heads-up style title bar featuring the album cover, links to show more from the playing artist or album and a brief history of previously played items
	    -	Cover art management via Google Image Search
	    -	Random play including Album Random Play for randomly playing complete albums

%prep
%setup -q -n juk-%{version}

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
%__rm -rf %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AudioVideo" \
  --remove-category="Player"\
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/juk.desktop

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%_kde_bindir/juk
%_kde_datadir/applications/kde4/juk.desktop
%_kde_appsdir/juk
%_kde_datadir/dbus-1/interfaces/org.kde.juk.*.xml
%_kde_docdir/HTML/en/juk
%_kde_iconsdir/hicolor/*/apps/juk.png
%_kde_datadir/kde4/services/ServiceMenus/jukservicemenu.desktop
%_kde_datadir/appdata/juk.appdata.xml

%changelog
* Tue Jul 21 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Sun Mar 08 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

